Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sampling
Class SimpleBurnInTest

    java.lang.Object
      de.jstacs.sampling.SimpleBurnInTest

All Implemented Interfaces:
  BurnInTest, Storable, Cloneable

Deprecated. since this burn test ignore the data coming from the sampling, it might be problematic to use this test

    public class SimpleBurnInTest

extends Object
implements BurnInTest

This is a very simple test for the length of the burn-in phase. It returns for all samplings the length given in the constructor.

Author:
  Jens Keilwagen

Constructor Summary
`SimpleBurnInTest(int burnInLength)` Deprecated. This is the main constructor that creates an instance of `SimpleBurnInTest` with fixed burn-in length.
`SimpleBurnInTest(StringBuffer xml)` Deprecated. The standard constructor for the interface `Storable`.

Method Summary
`SimpleBurnInTest` | `clone()` Deprecated. Return a deep copy of this object.
`String` | `getInstanceName()` Deprecated. Returns a short description of the burn-in test.
`int` | `getLengthOfBurnIn()` Deprecated. Computes and returns the length of the burn-in phase using the values from `BurnInTest.setValue(double)`.
`void` | `resetAllValues()` Deprecated. This method can be used to remove all values from the internal memory.
`void` | `setCurrentSamplingIndex(int index)` Deprecated. This method sets the value of the current sampling.
`void` | `setValue(double val)` Deprecated. This method can be used to fill the internal memory with the values that will be used to determine the length of the burn-in phase.
`StringBuffer` | `toXML()` Deprecated. This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBurnInTest

    public SimpleBurnInTest(int burnInLength)

  Deprecated.
  This is the main constructor that creates an instance of `SimpleBurnInTest` with fixed burn-in length.

  Parameters:
    `burnInLength` - the fixed length of the burn-in

### SimpleBurnInTest

    public SimpleBurnInTest(StringBuffer xml)
                     throws NonParsableException

  Deprecated.
  The standard constructor for the interface `Storable`. Creates a new `SimpleBurnInTest` out of its XML representation.

  Parameters:
    `xml` - the `StringBuffer` containing the model as XML representation
  Throws:
    `NonParsableException` - if the `StringBuffer` can not be parsed

Method Detail

### clone

    public SimpleBurnInTest clone()
                           throws CloneNotSupportedException

  Deprecated.
  Description copied from interface: `BurnInTest`
  Return a deep copy of this object.

  Specified by:
    `clone` in interface `BurnInTest`
  Overrides:
    `clone` in class `Object`
  Returns:
    a deep copy of this object
  Throws:
    `CloneNotSupportedException` - if the object can not be cloned
  See Also:
    `Object.clone()`

### setCurrentSamplingIndex

    public void setCurrentSamplingIndex(int index)

  Deprecated.
  Description copied from interface: `BurnInTest`
  This method sets the value of the current sampling. This allows to assign the values from `BurnInTest.setValue(double)` to a sampling.

  Specified by:
    `setCurrentSamplingIndex` in interface `BurnInTest`
  Parameters:
    `index` - the index of the sampling

### setValue

    public void setValue(double val)

  Deprecated.
  Description copied from interface: `BurnInTest`
  This method can be used to fill the internal memory with the values that will be used to determine the length of the burn-in phase.

  Specified by:
    `setValue` in interface `BurnInTest`
  Parameters:
    `val` - the value

### resetAllValues

    public void resetAllValues()

  Deprecated.
  Description copied from interface: `BurnInTest`
  This method can be used to remove all values from the internal memory.

  Specified by:
    `resetAllValues` in interface `BurnInTest`

### getLengthOfBurnIn

    public int getLengthOfBurnIn()

  Deprecated.
  Description copied from interface: `BurnInTest`
  Computes and returns the length of the burn-in phase using the values from `BurnInTest.setValue(double)`.

  Specified by:
    `getLengthOfBurnIn` in interface `BurnInTest`
  Returns:
    the length of the burn-in phase

### toXML

    public StringBuffer toXML()

  Deprecated.
  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Returns:
    the XML representation

### getInstanceName

    public String getInstanceName()

  Deprecated.
  Description copied from interface: `BurnInTest`
  Returns a short description of the burn-in test.

  Specified by:
    `getInstanceName` in interface `BurnInTest`
  Returns:
    a short description of the burn-in test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD